Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83532 - Display freezes when using drm on i830 graphics card
Summary: Display freezes when using drm on i830 graphics card
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 11:52 UTC by Mark A J Ashdown
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:29 UTC


Attachments (Terms of Use)
Relevant section of /var/log/messages (deleted)
2003-02-05 12:01 UTC, Mark A J Ashdown
no flags Details
Contents of /var/log/XFree86.0.log (deleted)
2003-02-05 12:03 UTC, Mark A J Ashdown
no flags Details

Description Mark A J Ashdown 2003-02-05 11:52:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021203

Description of problem:
Using accelerated 3D graphics on laptop with i830 graphics card causes display
to freeze. The computer is otherwise unaffected -- remote logins are possible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start X with dri module enabled.
2. Run OpenGL program.
    

Actual Results:  Display locks up.

Expected Results:  Display should not lock up.

Additional info:

The bug can be worked around by commenting out the line

  Load  "dri"

in the Modules setion of /etx/X11/XF86Config.

Comment 1 Mark A J Ashdown 2003-02-05 11:57:03 UTC
I should have mentioned that I am using kernel 2.4.18-24.8.0.

Comment 2 Mark A J Ashdown 2003-02-05 12:01:50 UTC
Created attachment 89856 [details]
Relevant section of /var/log/messages

Comment 3 Mark A J Ashdown 2003-02-05 12:03:25 UTC
Created attachment 89857 [details]
Contents of /var/log/XFree86.0.log

Comment 4 Bugzilla owner 2004-09-30 15:40:29 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.